# -*- coding: utf-8 -*-

from inspect import currentframe
import django


def is_in_migration_command():
    u"""Возвращает True, если код выполняется в рамках миграций Django.

    :rtype: bool
    """
    if django.VERSION < (1, 7):
        from south.management.commands.migrate import Command
    else:
        from django.core.management.commands.migrate import Command

    frame = currentframe()
    while frame:
        if (
            'self' in frame.f_locals and
            isinstance(frame.f_locals['self'], Command)
        ):
            return True
        else:
            frame = frame.f_back

    return False
